Runtime

## org.eclipse.gmf.runtime.diagram.ui.actions
Class IndividualConnectionLabelAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.gmf.runtime.common.ui.action.AbstractActionHandler
                      org.eclipse.gmf.runtime.diagram.ui.actions.DiagramAction
                          org.eclipse.gmf.runtime.diagram.ui.internal.actions.PropertyChangeAction
                              org.eclipse.gmf.runtime.diagram.ui.actions.CheckedPropertyAction
                                  org.eclipse.gmf.runtime.diagram.ui.actions.BooleanPropertyAction
                                      org.eclipse.gmf.runtime.diagram.ui.actions.IndividualConnectionLabelAction

All Implemented Interfaces:
  Disposable, IAction, IActionWithProgress, IDisposableAction, IOperationHistoryListener, IPropertyListener, ISelectionChangedListener

public abstract class IndividualConnectionLabelAction
extends BooleanPropertyAction

Nested Class Summary

Nested classes inherited from class org.eclipse.gmf.runtime.common.ui.action.IActionWithProgress
`IActionWithProgress.WorkIndicatorType`

Field Summary

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`protected` `IndividualConnectionLabelAction(IWorkbenchPage workbenchPage, java.lang.String[] labelSemanticHints)` Constructor

Method Summary
`protected java.lang.String[]` `getLabelSemanticHints()` Returns the request connection label semantic hint
`protected java.util.List` `getTargetEditParts(EditPart editpart)` Given an editpart, returns a list of target editparts to the current request If no targets could be found, an empty list is returned

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.actions.BooleanPropertyAction
`getNewPropertyValue`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.actions.CheckedPropertyAction
`calculateChecked, getStyle, isOperationHistoryListener, refresh`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.internal.actions.PropertyChangeAction
`createTargetRequest, getOperationSetPropertyValue, getPropertyId, getPropertyName, getPropertyValue, isSelectionListener, setPropertyId, setPropertyName, updateTargetRequest`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.actions.DiagramAction
`calculateEnabled, clearTargetRequest, createOperationSet, dispose, doRun, execute, filterEditPartsMatching, getCommand, getCommand, getCommandLabel, getDiagramCommandStack, getDiagramEditDomain, getDiagramEditPart, getDiagramGraphicalViewer, getDiagramWorkbenchPart, getOperationSet, getPreferencesHint, getSelectedObjects, getTargetRequest, setTargetRequest`

Methods inherited from class org.eclipse.gmf.runtime.common.ui.action.AbstractActionHandler

`contributedToPart, getActionManager, getLabel, getOperationHistory, getPartListener, getSelection, getStructuredSelection, getUndoContext, getWorkbenchPage, getWorkbenchPart, getWorkIndicatorType, handle, historyNotification, init, isDisposed, isPropertyListener, isRunnable, isSetup, needsSetup, openErrorDialog, propertyChanged, run, run, runWithEvent, selectionChanged, setDisposed, setPartSelector, setSetup, setup, setWorkbenchPart`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction

`addPropertyChangeListener, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getText, getToolTipText, isChecked, isEnabled, isHandled, removePropertyChangeListener, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Constructor Detail

### IndividualConnectionLabelAction

    protected IndividualConnectionLabelAction(IWorkbenchPage workbenchPage,
                                              java.lang.String[] labelSemanticHints)

  Constructor

Parameters:
  `workbenchPage` - the active workbenchPage
  `labelSemanticHints` - the semantic hints to use to figure out the target edit parts for this action

Method Detail

### getTargetEditParts

    protected java.util.List getTargetEditParts(EditPart editpart)

  Description copied from class: `DiagramAction`
  Given an editpart, returns a list of target editparts to the current request If no targets could be found, an empty list is returned

  Overrides:
    `getTargetEditParts` in class `DiagramAction`
  Parameters:
    `editpart` - The given editpart
  Returns:
    a list of target editparts, or Empty list if none

### getLabelSemanticHints

    protected java.lang.String[] getLabelSemanticHints()

  Returns the request connection label semantic hint

  Returns:
    The request connection label semantic hint

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.